{% extends "base.html" %}
{% load static %}

{% block title %}Rechercher{% endblock %}

{% block css %}
<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-T3c6CoIi6uLrA9TneNEoa7RxnatzjcDSCmG1MXxSR1GAsXEV/Dwwykc2MPK8M2HN" crossorigin="anonymous">
<link rel="stylesheet" type="text/css" href="{% static '../static/css/base.css' %}"/>
<link rel="stylesheet" type="text/css" href="{% static '../static/css/rechercher.css' %}"/>

{% endblock %}

{% block content %}
<div class="d-flex flex-column justify-content-center align-items-center">
    <form action="" method="post" novalidate>
        {% csrf_token %}
        {{ form }}
        <input type="submit" value="Rechercher">
    </form>
    <div class="d-flex justify-content-center flex-wrap">
        {% for anime in anime_data %}
        <div class="yaganime-general-card m-3 d-flex flex-column justify-content-center align-items-center" style="width: 200px; height: 350px">
            <div class="yaganime-general-card-head d-flex flex-column align-items-center">
                <div class=" d-flex justify-content-center align-items-center m-1" style="width: 100%; height: 50%">
                    <div class="yaganime-general-card-head-like m-2 d-flex justify-content-center align-items-center">
                        <!--Remplacer le chiffre avec celui de l'API -->
                        <div class="d-flex justify-content-center align-items-center"><span>{{ anime.mean }} </span><img src="../static/img/1289679474.svg" style="width: 12px; height: 12px;position: relative;top: -1px;"></div>
                    </div>
                    <div class="yaganime-general-card-head-rank d-flex justify-content-center align-items-center">
                        <!--Remplacer le chiffre avec le classement de l'API -->
                        <span>#<span class="me-1">{{ anime.rank }}</span></span>
                    </div>
                </div>
                <div class="yaganime-general-card-head-title d-flex justify-content-center align-items-center">
                    <!--Remplacer le nom avec celui de l'API -->
                    <span style="text-align: center;width: 95%;overflow: hidden;">{{ anime.name }}</span>
                </div>

            </div>
            <div class="yaganime-general-card-body d-flex justify-content-center align-items-center">
                <div class="yaganime-general-card-body-img d-flex justify-content-center align-items-center">
                    <a href="{% url 'details' anime_id=anime.id %}" style="height: 100%; width: 100%">
                        <!--Mettre lien image de l'API -->
                        <img style="width: 100%; height: 100%; border-radius: 18px" src="{{ anime.picture }}" alt="Error">
                    </a>
                </div>
            </div>
            <div class="yaganime-general-card-foot d-flex justify-content-center align-items-center">
                <div>
                    <form method="post" action="{% url 'ajouter_liste_anime' %}">
                        {% csrf_token %}
                        <input type="hidden" name="anime_id" value="{{ anime.id }}">
                        <input type="hidden" name="name" value="{{ anime.name }}">
                        <input type="hidden" name="picture" value="{{ anime.picture }}">
                        <input type="hidden" name="mean" value="{{ anime.mean }}">
                        <input type="hidden" name="rank" value="{{ anime.rank }}">
                        <button class="yaganime-general-card-foot-list-item yaganime-anime_details-btn" type="submit">Ajouter à la liste</button>
                    </form>
                    <!-- <select class="yaganime-general-card-foot-btnList d-flex flex-column justify-content-center align-items-center">
                         <option><a class="yaganime-general-card-foot-list-item">Ajouter à une liste</a></option>
                         <option><button class="yaganime-general-card-foot-list-item" href="#">Liste 1</button></option>
                         <option><a class="yaganime-general-card-foot-list-item" href="#">Liste 2</a></option>
                         <option><a class="yaganime-general-card-foot-list-item" href="#">Liste 3</a></option>
                     </select>-->
                </div>
            </div>
        </div>
        {% endfor %}
    </div>
</div>

{% endblock %}

{% block script %}
{% endblock %}
